package rainbeau.mithwoodforest.RMFBlocks;

import net.minecraft.block.Block;
import net.minecraft.item.ItemStack;
import net.minecraftforge.fml.common.IFuelHandler;

public class BlocksFuelHandler implements IFuelHandler {

	@Override
	public int getBurnTime(ItemStack fuel) {
		Block block = Block.getBlockFromItem(fuel.getItem());
		if (block == null) {
			return 0;
		}
		if (block instanceof BlockMithwoodLog || block instanceof BlockMithwoodPlank 
			|| block instanceof BlockMithwoodFence || block instanceof BlockMithwoodFenceGate
			|| block instanceof BlockMithwoodStairs) {
			return 300;
		}
		else if (block instanceof BlockMithwoodDoor) {
			return 200;
		}
		else if (block instanceof BlockMithwoodSlab) {
			return 150;
		}
		else if (block instanceof BlockMithwoodLeaves || block instanceof BlockMithwoodSapling) {
			return 100;
		}
		return 0;
	}
	
}
