package rainbeau.mithwoodforest.RMFEntities;

import net.minecraft.client.renderer.entity.RenderLiving;
import net.minecraft.client.renderer.entity.RenderManager;
import net.minecraft.util.ResourceLocation;

public class LeopardRender extends RenderLiving<LeopardEntity>  {

	private static final ResourceLocation leopardskin = new ResourceLocation("mithwoodforest:textures/entity/leopard.png");
	  
	public LeopardRender(RenderManager rm) {
		super(rm, new LeopardModel(), 0.0F);
	}
  
	@Override
	protected ResourceLocation getEntityTexture(LeopardEntity entity) {
		return leopardskin;
	}

	protected float handleRotationFloat(BigCatEntity parEntityBigCat, float par2) {
		return parEntityBigCat.getTailRotation();
	}

	@Override
	protected float handleRotationFloat(LeopardEntity par1EntityLivingBase, float par2) {
	    return handleRotationFloat((BigCatEntity)par1EntityLivingBase, par2);
	}
	
}
