package rainbeau.mithwoodforest.RMFEntities;

import net.minecraft.client.renderer.entity.RenderLiving;
import net.minecraft.client.renderer.entity.RenderManager;
import net.minecraft.util.ResourceLocation;

public class LionRender extends RenderLiving<LionEntity>  {

	private static final ResourceLocation lionskin = new ResourceLocation("mithwoodforest:textures/entity/lion.png");
	  
	public LionRender(RenderManager rm) {
		super(rm, new LionModel(), 0.0F);
	}
  
	@Override
	protected ResourceLocation getEntityTexture(LionEntity entity) {
		return lionskin;
	}

	protected float handleRotationFloat(BigCatEntity parEntityBigCat, float par2) {
		return parEntityBigCat.getTailRotation();
	}

	@Override
	protected float handleRotationFloat(LionEntity par1EntityLivingBase, float par2) {
	    return handleRotationFloat((BigCatEntity)par1EntityLivingBase, par2);
	}

}
