package rainbeau.mithwoodforest.RMFEntities;

import net.minecraft.client.renderer.entity.RenderLiving;
import net.minecraft.client.renderer.entity.RenderManager;
import net.minecraft.util.ResourceLocation;

public class MithwoodTigerRender extends RenderLiving<MithwoodTigerEntity> {

	private static final ResourceLocation mithwoodtigerskin = new ResourceLocation("mithwoodforest:textures/entity/mithwoodtiger.png");
  
	public MithwoodTigerRender(RenderManager rm) {
		super(rm, new MithwoodTigerModel(), 0.0F);
	}
  
	@Override
	protected ResourceLocation getEntityTexture(MithwoodTigerEntity entity) {
		return mithwoodtigerskin;
	}
	
	protected float handleRotationFloat(BigCatEntity parEntityBigCat, float par2) {
		return parEntityBigCat.getTailRotation();
	}

	@Override
	protected float handleRotationFloat(MithwoodTigerEntity par1EntityLivingBase, float par2) {
	    return handleRotationFloat((BigCatEntity)par1EntityLivingBase, par2);
	}

}
