package rainbeau.mithwoodforest.RMFItems;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.init.SoundEvents;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.item.Item;
import net.minecraft.item.Item.ToolMaterial;
import net.minecraft.item.ItemArmor.ArmorMaterial;
import net.minecraftforge.common.util.EnumHelper;

public final class ItemsCreate {

	public static Item emerald_pickaxe;
	public static Item emerald_axe;
  	public static Item emerald_spade;
	public static Item emerald_hoe;
	public static Item emerald_sword;
	public static Item emerald_helmet;
	public static Item emerald_chestplate;
	public static Item emerald_leggings;
	public static Item emerald_boots;
	public static Item emerald_paxel;

    public static Item lapis_ingot;
	public static Item lapis_pickaxe;
	public static Item lapis_axe;
  	public static Item lapis_spade;
	public static Item lapis_hoe;
	public static Item lapis_sword;
	public static Item lapis_helmet;
	public static Item lapis_chestplate;
	public static Item lapis_leggings;
	public static Item lapis_boots;
	public static Item lapis_paxel;
	
	public static Item mithril_ingot;
	public static Item mithril_pickaxe;
	public static Item mithril_axe;
  	public static Item mithril_spade;
	public static Item mithril_hoe;
	public static Item mithril_sword;
	public static Item mithril_helmet;
	public static Item mithril_chestplate;
	public static Item mithril_leggings;
	public static Item mithril_boots;
	public static Item mithril_paxel;
	
	public static Item obsidian_ingot;
	public static Item obsidian_pickaxe;
	public static Item obsidian_axe;
  	public static Item obsidian_spade;
	public static Item obsidian_hoe;
	public static Item obsidian_sword;
	public static Item obsidian_helmet;
	public static Item obsidian_chestplate;
	public static Item obsidian_leggings;
	public static Item obsidian_boots;
	public static Item obsidian_paxel;
	
	public static Item prismarine_pickaxe;
	public static Item prismarine_axe;
  	public static Item prismarine_spade;
	public static Item prismarine_hoe;
	public static Item prismarine_sword;
	public static Item prismarine_helmet;
	public static Item prismarine_chestplate;
	public static Item prismarine_leggings;
	public static Item prismarine_boots;
	public static Item prismarine_paxel;
	
	public static Item iron_paxel;
	public static Item diamond_paxel;
	
	public static Item mithwood_door;

	public static ToolMaterial EMERALD = EnumHelper.addToolMaterial("EMERALD", 4, 1950, 8.5F, 3.5F, 16);
	public static ToolMaterial LAPIS = EnumHelper.addToolMaterial("LAPIS", 2, 906, 7.0F, 2.0F, 66);
	public static ToolMaterial MITHRIL = EnumHelper.addToolMaterial("MITHRIL", 4, 3122, 9.0F, 4.0F, 22);
	public static ToolMaterial OBSIDIAN = EnumHelper.addToolMaterial("OBSIDIAN", 3, 141, 7.5F, 2.5F, 0);
	public static ToolMaterial PRISMARINE = EnumHelper.addToolMaterial("PRISMARINE", 4, 1950, 8.5F, 3.5F, 10);

	public static ArmorMaterial EMERALDA = EnumHelper.addArmorMaterial("EMERALDA", "mithwoodforest:emerald", 42, new int[] {3, 8, 6, 3}, 18, SoundEvents.ITEM_ARMOR_EQUIP_DIAMOND, 4.0F);
	public static ArmorMaterial LAPISA = EnumHelper.addArmorMaterial("LAPISA", "mithwoodforest:lapis", 24, new int[] {2, 7, 5, 2}, 75, SoundEvents.ITEM_ARMOR_EQUIP_DIAMOND, 0.0F);
	public static ArmorMaterial MITHRILA = EnumHelper.addArmorMaterial("MITHRILA", "mithwoodforest:mithril", 66, new int[] {3, 8, 6, 3}, 25, SoundEvents.ITEM_ARMOR_EQUIP_DIAMOND, 8.0F);
	public static ArmorMaterial OBSIDIANA = EnumHelper.addArmorMaterial("OBSIDIANA", "mithwoodforest:obsidian", 11, new int[] {3, 7, 6, 3}, 0, SoundEvents.ITEM_ARMOR_EQUIP_DIAMOND, 1.0F);
	public static ArmorMaterial PRISMARINEA = EnumHelper.addArmorMaterial("PRISMAEINEA", "mithwoodforest:prismarine", 42, new int[] {3, 8, 6, 3}, 10, SoundEvents.ITEM_ARMOR_EQUIP_DIAMOND, 4.0F);

	public static void init() {

		emerald_pickaxe = new ItemPickaxeRMF("emerald_pickaxe", EMERALD).setCreativeTab(CreativeTabs.TOOLS);
		emerald_axe = new ItemAxeRMF("emerald_axe", EMERALD, 8.5F, -2.9F).setCreativeTab(CreativeTabs.TOOLS);
		emerald_spade = new ItemSpadeRMF("emerald_spade", EMERALD).setCreativeTab(CreativeTabs.TOOLS);
		emerald_hoe = new ItemHoeRMF("emerald_hoe", EMERALD).setCreativeTab(CreativeTabs.TOOLS);
		emerald_sword = new ItemSwordRMF("emerald_sword", EMERALD).setCreativeTab(CreativeTabs.COMBAT);
		emerald_helmet = new ItemArmorRMF("emerald_helmet", EMERALDA, EntityEquipmentSlot.HEAD).setCreativeTab(CreativeTabs.COMBAT);
		emerald_chestplate = new ItemArmorRMF("emerald_chestplate", EMERALDA, EntityEquipmentSlot.CHEST).setCreativeTab(CreativeTabs.COMBAT);
		emerald_leggings = new ItemArmorRMF("emerald_leggings", EMERALDA, EntityEquipmentSlot.LEGS).setCreativeTab(CreativeTabs.COMBAT);
		emerald_boots = new ItemArmorRMF("emerald_boots", EMERALDA, EntityEquipmentSlot.FEET).setCreativeTab(CreativeTabs.COMBAT);  			
		emerald_paxel = new ItemPaxel("emerald_paxel", EMERALD).setCreativeTab(CreativeTabs.TOOLS);

		lapis_ingot = new ItemGeneral("lapis_ingot").setCreativeTab(CreativeTabs.MATERIALS);
		lapis_pickaxe = new ItemPickaxeRMF("lapis_pickaxe", LAPIS).setCreativeTab(CreativeTabs.TOOLS);
		lapis_axe = new ItemAxeRMF("lapis_axe", LAPIS, 8, -3).setCreativeTab(CreativeTabs.TOOLS);
		lapis_spade = new ItemSpadeRMF("lapis_spade", LAPIS).setCreativeTab(CreativeTabs.TOOLS);
		lapis_hoe = new ItemHoeRMF("lapis_hoe", LAPIS).setCreativeTab(CreativeTabs.TOOLS);
		lapis_sword = new ItemSwordRMF("lapis_sword", LAPIS).setCreativeTab(CreativeTabs.COMBAT);
		lapis_helmet = new ItemArmorRMF("lapis_helmet", LAPISA, EntityEquipmentSlot.HEAD).setCreativeTab(CreativeTabs.COMBAT);
		lapis_chestplate = new ItemArmorRMF("lapis_chestplate", LAPISA, EntityEquipmentSlot.CHEST).setCreativeTab(CreativeTabs.COMBAT);
		lapis_leggings = new ItemArmorRMF("lapis_leggings", LAPISA, EntityEquipmentSlot.LEGS).setCreativeTab(CreativeTabs.COMBAT);
		lapis_boots = new ItemArmorRMF("lapis_boots", LAPISA, EntityEquipmentSlot.FEET).setCreativeTab(CreativeTabs.COMBAT);  			
		lapis_paxel = new ItemPaxel("lapis_paxel", LAPIS).setCreativeTab(CreativeTabs.TOOLS);

		mithril_ingot = new ItemGeneral("mithril_ingot").setCreativeTab(CreativeTabs.MATERIALS);
		mithril_pickaxe = new ItemPickaxeMithril("mithril_pickaxe", MITHRIL).setCreativeTab(CreativeTabs.TOOLS);
		mithril_axe = new ItemAxeMithril("mithril_axe", MITHRIL, 9, -2.8F).setCreativeTab(CreativeTabs.TOOLS);
		mithril_spade = new ItemSpadeRMF("mithril_spade", MITHRIL).setCreativeTab(CreativeTabs.TOOLS);
		mithril_hoe = new ItemHoeRMF("mithril_hoe", MITHRIL).setCreativeTab(CreativeTabs.TOOLS);
		mithril_sword = new ItemSwordRMF("mithril_sword", MITHRIL).setCreativeTab(CreativeTabs.COMBAT);
		mithril_helmet = new ItemArmorRMF("mithril_helmet", MITHRILA, EntityEquipmentSlot.HEAD).setCreativeTab(CreativeTabs.COMBAT);
		mithril_chestplate = new ItemArmorRMF("mithril_chestplate", MITHRILA, EntityEquipmentSlot.CHEST).setCreativeTab(CreativeTabs.COMBAT);
		mithril_leggings = new ItemArmorRMF("mithril_leggings", MITHRILA, EntityEquipmentSlot.LEGS).setCreativeTab(CreativeTabs.COMBAT);
		mithril_boots = new ItemArmorRMF("mithril_boots", MITHRILA, EntityEquipmentSlot.FEET).setCreativeTab(CreativeTabs.COMBAT);  			
		mithril_paxel = new ItemPaxelMithril("mithril_paxel", MITHRIL).setCreativeTab(CreativeTabs.TOOLS);

		obsidian_ingot = new ItemGeneral("obsidian_ingot").setCreativeTab(CreativeTabs.MATERIALS);
		obsidian_pickaxe = new ItemPickaxeRMF("obsidian_pickaxe", OBSIDIAN).setCreativeTab(CreativeTabs.TOOLS);
		obsidian_axe = new ItemAxeRMF("obsidian_axe", OBSIDIAN, 8, -3).setCreativeTab(CreativeTabs.TOOLS);
		obsidian_spade = new ItemSpadeRMF("obsidian_spade", OBSIDIAN).setCreativeTab(CreativeTabs.TOOLS);
		obsidian_hoe = new ItemHoeRMF("obsidian_hoe", OBSIDIAN).setCreativeTab(CreativeTabs.TOOLS);
		obsidian_sword = new ItemSwordRMF("obsidian_sword", OBSIDIAN).setCreativeTab(CreativeTabs.COMBAT);
		obsidian_helmet = new ItemArmorRMF("obsidian_helmet", OBSIDIANA, EntityEquipmentSlot.HEAD).setCreativeTab(CreativeTabs.COMBAT);
		obsidian_chestplate = new ItemArmorRMF("obsidian_chestplate", OBSIDIANA, EntityEquipmentSlot.CHEST).setCreativeTab(CreativeTabs.COMBAT);
		obsidian_leggings = new ItemArmorRMF("obsidian_leggings", OBSIDIANA, EntityEquipmentSlot.LEGS).setCreativeTab(CreativeTabs.COMBAT);
		obsidian_boots = new ItemArmorRMF("obsidian_boots", OBSIDIANA, EntityEquipmentSlot.FEET).setCreativeTab(CreativeTabs.COMBAT);  			
		obsidian_paxel = new ItemPaxel("obsidian_paxel", OBSIDIAN).setCreativeTab(CreativeTabs.TOOLS);

		prismarine_pickaxe = new ItemPickaxeRMF("prismarine_pickaxe", PRISMARINE).setCreativeTab(CreativeTabs.TOOLS);
		prismarine_axe = new ItemAxeRMF("prismarine_axe", PRISMARINE, 8.5F, -2.9F).setCreativeTab(CreativeTabs.TOOLS);
		prismarine_spade = new ItemSpadeRMF("prismarine_spade", PRISMARINE).setCreativeTab(CreativeTabs.TOOLS);
		prismarine_hoe = new ItemHoeRMF("prismarine_hoe", PRISMARINE).setCreativeTab(CreativeTabs.TOOLS);
		prismarine_sword = new ItemSwordRMF("prismarine_sword", PRISMARINE).setCreativeTab(CreativeTabs.COMBAT);
		prismarine_helmet = new ItemArmorRMF("prismarine_helmet", PRISMARINEA, EntityEquipmentSlot.HEAD).setCreativeTab(CreativeTabs.COMBAT);
		prismarine_chestplate = new ItemArmorRMF("prismarine_chestplate", PRISMARINEA, EntityEquipmentSlot.CHEST).setCreativeTab(CreativeTabs.COMBAT);
		prismarine_leggings = new ItemArmorRMF("prismarine_leggings", PRISMARINEA, EntityEquipmentSlot.LEGS).setCreativeTab(CreativeTabs.COMBAT);
		prismarine_boots = new ItemArmorRMF("prismarine_boots", PRISMARINEA, EntityEquipmentSlot.FEET).setCreativeTab(CreativeTabs.COMBAT);  			
		prismarine_paxel = new ItemPaxel("prismarine_paxel", PRISMARINE).setCreativeTab(CreativeTabs.TOOLS);

		iron_paxel = new ItemPaxel("iron_paxel", ToolMaterial.IRON).setCreativeTab(CreativeTabs.TOOLS);
		diamond_paxel = new ItemPaxel("diamond_paxel", ToolMaterial.DIAMOND).setCreativeTab(CreativeTabs.TOOLS);

	}

}
