package rainbeau.mithwoodforest.RMFBlocks;

import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.item.ItemBlock;
import net.minecraftforge.fml.common.registry.GameRegistry;

public class BlockBasic extends Block {

	public BlockBasic(String unlocalizedName, Material material, float hardness, float resistance) {
		super(material);
		this.setUnlocalizedName(unlocalizedName);
	    this.setRegistryName(unlocalizedName);
		this.setHardness(hardness);
		this.setResistance(resistance);
	    GameRegistry.register(this);
	    GameRegistry.register(new ItemBlock(this).setRegistryName(this.getRegistryName()));
	}
	
	public BlockBasic(String unlocalizedName, float hardness, float resistance) {
		this(unlocalizedName, Material.ROCK, hardness, resistance);
	}

	public BlockBasic(String unlocalizedName) {
		this(unlocalizedName, 2.0F, 10.0F);
	}

}
