package rainbeau.mithwoodforest.RMFBlocks;

import net.minecraft.block.BlockFence;
import net.minecraft.block.BlockPlanks;
import net.minecraft.block.SoundType;
import net.minecraft.block.material.Material;
import net.minecraft.item.ItemBlock;
import net.minecraftforge.fml.common.registry.GameRegistry;

public class BlockMithwoodFence extends BlockFence {
	
	public BlockMithwoodFence(String unlocalizedName, float hardness, float resistance) {
		super(Material.WOOD, BlockPlanks.EnumType.BIRCH.getMapColor());
		this.setUnlocalizedName(unlocalizedName);
	    this.setRegistryName(unlocalizedName);
		this.setHardness(hardness);
		this.setResistance(resistance);
		this.setSoundType(SoundType.WOOD);
	    GameRegistry.register(this);
	    GameRegistry.register(new ItemBlock(this).setRegistryName(this.getRegistryName()));
	}

}
