package rainbeau.mithwoodforest.RMFEntities;

import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.client.renderer.entity.RenderBiped;
import net.minecraft.client.renderer.entity.RenderManager;
import net.minecraft.client.renderer.entity.layers.LayerBipedArmor;
import net.minecraft.client.renderer.entity.layers.LayerHeldItem;
import net.minecraft.util.ResourceLocation;

public class GuardianRender extends RenderBiped<GuardianEntity> {
	
    private static final ResourceLocation skin = new ResourceLocation("mithwoodforest:textures/entity/guardian.png");

    public GuardianRender(RenderManager renderManagerIn) {
        super(renderManagerIn, new GuardianModel(), 0.5F);
        this.addLayer(new LayerHeldItem(this));
        this.addLayer(new LayerBipedArmor(this) {
        	@Override
            protected void initArmor() {
                this.modelLeggings = new GuardianModel(0.5F, true);
                this.modelArmor = new GuardianModel(1.0F, true);
            }
        });
    }

    @Override
    public void transformHeldFull3DItemLayer() {
        GlStateManager.translate(0.09375F, 0.1875F, 0.0F);
    }

    @Override
    protected ResourceLocation getEntityTexture(GuardianEntity entity) {
        return skin;
    }
    
}
