package rainbeau.mithwoodforest.RMFEntities;

import net.minecraft.client.renderer.entity.RenderLiving;
import net.minecraft.client.renderer.entity.RenderManager;
import net.minecraft.util.ResourceLocation;

public class PantherRender extends RenderLiving<PantherEntity>  {

	private static final ResourceLocation pantherskin = new ResourceLocation("mithwoodforest:textures/entity/panther.png");
	  
	public PantherRender(RenderManager rm) {
		super(rm, new PantherModel(), 0.0F);
	}
  
	@Override
	protected ResourceLocation getEntityTexture(PantherEntity entity) {
		return pantherskin;
	}

	protected float handleRotationFloat(BigCatEntity parEntityBigCat, float par2) {
		return parEntityBigCat.getTailRotation();
	}

	@Override
	protected float handleRotationFloat(PantherEntity par1EntityLivingBase, float par2) {
	    return handleRotationFloat((BigCatEntity)par1EntityLivingBase, par2);
	}

}
