package rainbeau.mithwoodforest.RMFEntities;

import net.minecraft.client.renderer.entity.RenderLiving;
import net.minecraft.client.renderer.entity.RenderManager;
import net.minecraft.util.ResourceLocation;

public class SnowLeopardRender extends RenderLiving<SnowLeopardEntity>  {

	private static final ResourceLocation snowleopardskin = new ResourceLocation("mithwoodforest:textures/entity/snowleopard.png");
	  
	public SnowLeopardRender(RenderManager rm) {
		super(rm, new SnowLeopardModel(), 0.0F);
	}
  
	@Override
	protected ResourceLocation getEntityTexture(SnowLeopardEntity entity) {
		return snowleopardskin;
	}

	protected float handleRotationFloat(BigCatEntity parEntityBigCat, float par2) {
		return parEntityBigCat.getTailRotation();
	}

	@Override
	protected float handleRotationFloat(SnowLeopardEntity par1EntityLivingBase, float par2) {
	    return handleRotationFloat((BigCatEntity)par1EntityLivingBase, par2);
	}

}
