package rainbeau.mithwoodforest.RMFEntities;

import net.minecraft.client.renderer.entity.RenderLiving;
import net.minecraft.client.renderer.entity.RenderManager;
import net.minecraft.util.ResourceLocation;

public class TigerRender extends RenderLiving<TigerEntity> {

	private static final ResourceLocation tigerskin = new ResourceLocation("mithwoodforest:textures/entity/tiger.png");
  
	public TigerRender(RenderManager rm) {
		super(rm, new TigerModel(), 0.0F);
	}
  
	@Override
	protected ResourceLocation getEntityTexture(TigerEntity entity) {
		return tigerskin;
	}
	
	protected float handleRotationFloat(BigCatEntity parEntityBigCat, float par2) {
		return parEntityBigCat.getTailRotation();
	}

	@Override
	protected float handleRotationFloat(TigerEntity par1EntityLivingBase, float par2) {
	    return handleRotationFloat((BigCatEntity)par1EntityLivingBase, par2);
	}

}
