package rainbeau.mithwoodforest.RMFItems;

import net.minecraft.init.Items;
import net.minecraft.item.ItemAxe;
import net.minecraft.item.ItemStack;
import net.minecraftforge.fml.common.registry.GameRegistry;

public class ItemAxeRMF extends ItemAxe {
	
	public ItemAxeRMF(String unlocalizedName, ToolMaterial material, float damage, float speed) {
	    super(material, damage, speed);
	    this.setUnlocalizedName(unlocalizedName);
	    this.setRegistryName(unlocalizedName);
	    GameRegistry.register(this);
	}

	@Override
	public boolean getIsRepairable(ItemStack toRepair, ItemStack repair) {
		if (toRepair.getItem().equals(ItemsCreate.emerald_axe)) {
			if (repair.getItem().equals(Items.EMERALD)) {
				return true;
			}
		}
		if (toRepair.getItem().equals(ItemsCreate.lapis_axe)) {
			if (repair.getItem().equals(ItemsCreate.lapis_ingot)) {
				return true;
			}
		}
		if (toRepair.getItem().equals(ItemsCreate.obsidian_axe)) {
			if (repair.getItem().equals(ItemsCreate.obsidian_ingot)) {
				return true;
			}
		}
		if (toRepair.getItem().equals(ItemsCreate.prismarine_axe)) {
			if (repair.getItem().equals(Items.PRISMARINE_SHARD)) {
				return true;
			}
		}
		return false;
	}

}