package rainbeau.mithwoodforest.RMFItems;

import net.minecraft.init.Items;
import net.minecraft.item.ItemSpade;
import net.minecraft.item.ItemStack;
import net.minecraftforge.fml.common.registry.GameRegistry;

public class ItemSpadeRMF extends ItemSpade {
	
	public ItemSpadeRMF(String unlocalizedName, ToolMaterial material) {
	    super(material);
	    this.setUnlocalizedName(unlocalizedName);
	    this.setRegistryName(unlocalizedName);
	    GameRegistry.register(this);
	}
	
	@Override
	public boolean getIsRepairable(ItemStack toRepair, ItemStack repair) {
		if (toRepair.getItem().equals(ItemsCreate.emerald_spade)) {
			if (repair.getItem().equals(Items.EMERALD)) {
				return true;
			}
		}
		if (toRepair.getItem().equals(ItemsCreate.lapis_spade)) {
			if (repair.getItem().equals(ItemsCreate.lapis_ingot)) {
				return true;
			}
		}
		if (toRepair.getItem().equals(ItemsCreate.mithril_spade)) {
			if (repair.getItem().equals(ItemsCreate.mithril_ingot)) {
				return true;
			}
		}
		if (toRepair.getItem().equals(ItemsCreate.obsidian_spade)) {
			if (repair.getItem().equals(ItemsCreate.obsidian_ingot)) {
				return true;
			}
		}
		if (toRepair.getItem().equals(ItemsCreate.prismarine_spade)) {
			if (repair.getItem().equals(Items.PRISMARINE_SHARD)) {
				return true;
			}
		}
		return false;
	}

}