package rainbeau.mithwoodforest.RMFWorldGen;

import net.minecraft.world.biome.Biome;
import net.minecraftforge.common.BiomeDictionary;
import net.minecraftforge.common.BiomeDictionary.Type;
import net.minecraftforge.common.BiomeManager;
import net.minecraftforge.common.BiomeManager.BiomeEntry;
import net.minecraftforge.common.BiomeManager.BiomeType;
import rainbeau.mithwoodforest.RMFConfig.Config;

public class BiomesRMF {
	
	public static final BiomeMithwoodForest mithwoodForest = new BiomeMithwoodForest();

	public static void init() {
		if (Config.GrowMithwoodForest == true) {
			int MFBiomeID = Config.MFBiomeID;
			if (MFBiomeID < 1) { MFBiomeID = 1; }
			if (MFBiomeID > 256) { MFBiomeID = 256; }
			int MFBiomeWeight = Config.MFBiomeWeight;
			if (MFBiomeWeight < 1) { MFBiomeWeight = 1; }
			if (MFBiomeWeight > 100 ) { MFBiomeWeight = 100; }
			Biome.registerBiome(MFBiomeID, "mithwood_forest", mithwoodForest);
			BiomeManager.addBiome(BiomeType.WARM, new BiomeEntry(mithwoodForest, MFBiomeWeight));
			BiomeManager.addStrongholdBiome(mithwoodForest);
			Biome.EXPLORATION_BIOMES_LIST.add(mithwoodForest);
			BiomeDictionary.registerBiomeType(mithwoodForest, Type.FOREST, Type.MAGICAL);
		}
	}
	
}
